> For the complete documentation index, see [llms.txt](https://developers.mpdx.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.mpdx.org/api/v2/account_lists/imports/google.md).

# Google

Google Documentation

## Google Import \[CREATE]

Creates a new Google Import associated with the Account List. Unless otherwise specified, the Import will be created with "in\_preview" set to false, which will cause the import to begin after being created (the import runs asynchronously as a background job).

### Request

#### Endpoint

```
POST /api/v2/account_lists/7027793a-6ad4-4151-aee5-1343f52c7183/imports/google
Content-Type: application/vnd.api+json
```

#### Body

```json
{
  "data": {
    "type": "imports",
    "attributes": {
      "group_tags": {
        "http://www.google.com/m8/feeds/groups/test%40gmail.com/base/6": "my-contacts",
        "http://www.google.com/m8/feeds/groups/test%40gmail.com/base/d": "friends"
      },
      "groups": [
        "http://www.google.com/m8/feeds/groups/test%40gmail.com/base/d",
        "http://www.google.com/m8/feeds/groups/test%40gmail.com/base/f"
      ],
      "import_by_group": "true",
      "in_preview": false,
      "override": "true",
      "source": "google",
      "tag_list": "test,poster"
    },
    "relationships": {
      "source_account": {
        "data": {
          "type": "google_accounts",
          "id": "e6202e73-a6ee-497a-90a5-f03ed3c27486"
        }
      }
    }
  }
}
```

### Response

#### Headers

```
Content-Type: application/vnd.api+json; charset=utf-8
201 Created
```

#### Body

```json
{
  "data": {
    "id": "89f2cc29-a021-41af-a0b3-00742ba6e9a1",
    "type": "imports",
    "attributes": {
      "account_list_id": "7027793a-6ad4-4151-aee5-1343f52c7183",
      "created_at": "2022-01-12T17:18:23Z",
      "file_constants": {
      },
      "file_constants_mappings": {
      },
      "file_headers": {
      },
      "file_headers_mappings": {
      },
      "file_url": null,
      "group_tags": {
        "http://www.google.com/m8/feeds/groups/test%40gmail.com/base/6": "my-contacts",
        "http://www.google.com/m8/feeds/groups/test%40gmail.com/base/d": "friends"
      },
      "groups": [
        "http://www.google.com/m8/feeds/groups/test%40gmail.com/base/d",
        "http://www.google.com/m8/feeds/groups/test%40gmail.com/base/f"
      ],
      "import_by_group": true,
      "in_preview": false,
      "override": true,
      "source": "google",
      "tag_list": "test,poster",
      "updated_at": "2022-01-12T17:18:23Z",
      "updated_in_db_at": "2022-01-12T17:18:23Z"
    },
    "relationships": {
      "user": {
        "data": {
          "id": "f87ebca6-daf8-4fab-a776-0cca76d43e43",
          "type": "users"
        }
      },
      "sample_contacts": {
        "data": [

        ]
      }
    }
  }
}
```
